Index: /palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- /palm/trunk/SOURCE/write_3d_binary.f90	(revision 1319)
+++ /palm/trunk/SOURCE/write_3d_binary.f90	(revision 1320)
@@ -20,4 +20,8 @@
 ! Current revisions:
 ! -----------------
+! ONLY-attribute added to USE-statements,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 !
 !
@@ -46,46 +50,4 @@
 ! +z0h, z0h_av
 !
-! 790 2011-11-29 03:11:20Z raasch
-! bugfix: output of 'ql' also if cloud droplets are used
-!
-! 776 2011-10-31 08:02:51Z heinze
-! bugfix: increase binary_version due to last commit
-!
-! 771 2011-10-27 10:56:21Z heinze
-! +lpt
-!
-! 759 2011-09-15 13:58:31Z raasch
-! cpu measurement and file opening moved to main program
-!
-! 587 2010-10-27 08:36:51Z helmke
-! nothing done but text written for "Current revisions" by mistake
-!
-! 367 2009-08-25 08:35:52Z maronga
-! +shf_av, qsws_av
-!
-! 145 2008-01-09 08:17:38Z raasch
-! write_var_list is only called for pe0, -dopr_time_count,
-! hom_sum moved, volume_flow_area, volume_flow_initial moved to write_var_list,
-! writing of old profil parameters (cross_..., dopr_crossindex, profile_***)
-! removed
-!
-! 102 2007-07-27 09:09:17Z raasch
-! +uswst, uswst_m, vswst, vswst_m
-!
-! 96 2007-06-04 08:07:41Z raasch
-! +rho_av, sa, sa_av, saswsb, saswst
-!
-! 75 2007-03-22 09:54:05Z raasch
-! +precipitation_amount, precipitation_rate_av, rif_wall, u_m_l, u_m_r, etc.,
-! z0_av, moisture renamed humidity
-!
-! 19 2007-02-23 04:53:48Z raasch
-! +qswst, qswst_m, tswst, tswst_m
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.21  2006/08/04 15:05:11  raasch
-! +iran, iran_part
-!
 ! Revision 1.1  1998/03/18 20:20:21  raasch
 ! Initial revision
@@ -97,19 +59,37 @@
 !------------------------------------------------------------------------------!
 
-    USE arrays_3d
+    USE arrays_3d,                                                             &
+        ONLY:  e, kh, km, p, pt, q, ql, qc, nr, nrs, nrsws, nrswst, qr, qrs,   &
+               qrsws, qrswst, qs, qsws, qswst, sa, saswsb, saswst, rif,        &
+               rif_wall, shf, ts, tswst, u, u_m_l, u_m_n, u_m_r, u_m_s, us,    &
+               usws, uswst, v, v_m_l, v_m_n, v_m_r, v_m_s, vpt, vsws, vswst,   &
+               w, w_m_l, w_m_n, w_m_r, w_m_s, z0, z0h
+        
     USE averaging
-    USE cloud_parameters
-    USE control_parameters
-    USE cpulog
-    USE indices
-    USE particle_attributes
+        
+    USE cloud_parameters,                                                      &
+        ONLY:  prr, precipitation_amount
+        
+    USE control_parameters,                                                    &
+        ONLY:  iran, humidity, passive_scalar, cloud_physics, cloud_droplets,  &
+               icloud_scheme, precipitation, ocean, topography
+                
+    USE indices,                                                               &
+        ONLY:  nxl, nxr, nys, nyn, nzb, nzt
+        
+    USE particle_attributes,                                                               &
+        ONLY:  iran_part
+        
     USE pegrid
-    USE profil_parameter
-    USE random_function_mod
-    USE statistics
+    
+    USE random_function_mod,                                                               &
+        ONLY:  random_iv, random_iy
+        
+    USE statistics,                                                            &
+        ONLY:  spectrum_x, spectrum_y
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=10) ::  binary_version
+    CHARACTER (LEN=10) ::  binary_version   !: 
 
 
@@ -165,5 +145,5 @@
     ENDIF
     IF ( ALLOCATED( precipitation_rate_av ) )  THEN
-       WRITE ( 14 )  'precipitation_rate_a';  WRITE ( 14 )  &
+       WRITE ( 14 )  'precipitation_rate_a';  WRITE ( 14 )                     &
                                                            precipitation_rate_av
     ENDIF
@@ -333,2 +313,3 @@
 
  END SUBROUTINE write_3d_binary
+ 
Index: /palm/trunk/SOURCE/write_compressed.f90
===================================================================
--- /palm/trunk/SOURCE/write_compressed.f90	(revision 1319)
+++ /palm/trunk/SOURCE/write_compressed.f90	(revision 1320)
@@ -21,4 +21,10 @@
 ! Current revisions:
 ! ------------------
+! kind-parameters added to all INTEGER and REAL declaration statements, 
+! kinds are defined in new module kinds, 
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 ! 
 !
@@ -32,16 +38,4 @@
 ! 1036 2012-10-22 13:43:42Z raasch
 ! code put under GPL (PALM 3.9)
-!
-! 667 2010-12-23 12:06:00Z suehring/gryschka
-! Array bounds and nx, ny adapted with nbgp
-!
-! 622 2010-12-10 08:08:13Z raasch
-! optional barriers included in order to speed up collective operations
-!
-! Feb. 2007
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.4  2006/02/23 13:15:09  raasch
-! nz_plot3d renamed nz_do3d
 !
 ! Revision 1.1  1999/03/02 09:25:21  raasch
@@ -69,21 +63,47 @@
 !------------------------------------------------------------------------------!
 
+    USE kinds
+    
     USE pegrid         !  needed for MPI_ALLREDUCE
 
     IMPLICIT NONE
 
-    INTEGER, PARAMETER   :: ip4 = SELECTED_INT_KIND ( 9 )
-    INTEGER, PARAMETER   :: spk = SELECTED_REAL_KIND( 6 )
-
-    INTEGER ::  ampl, dummy1, dummy2, factor, i, ifieldmax, ifieldmax_l, &
-                ifieldmin, ifieldmin_l, ii, length, nfree, npack, nsize, &
-                nx, ny, nz, startpos
-    INTEGER(ip4) ::  imask (32)
-    INTEGER(ip4), DIMENSION(:), ALLOCATABLE ::  ifield, packed_ifield
-
-    INTEGER, INTENT(IN) ::  fid_avs, fid_fld, my_id, nxl, nxr, nyn, nys, nzb, &
-                            nz_do3d, prec, nbgp
-
-    REAL(spk), INTENT(IN) :: field(1:((nxr-nxl+1+2*nbgp)*(nyn-nys+1+2*nbgp)*(nz_do3d-nzb+1)))
+    INTEGER(iwp) ::  ampl          !: 
+    INTEGER(iwp) ::  dummy1        !: 
+    INTEGER(iwp) ::  dummy2        !: 
+    INTEGER(iwp) ::  factor        !: 
+    INTEGER(iwp) ::  i             !: 
+    INTEGER(iwp) ::  ifieldmax     !: 
+    INTEGER(iwp) ::  ifieldmax_l   !: 
+    INTEGER(iwp) ::  ifieldmin     !: 
+    INTEGER(iwp) ::  ifieldmin_l   !: 
+    INTEGER(iwp) ::  ii            !: 
+    INTEGER(iwp) ::  length        !: 
+    INTEGER(iwp) ::  nfree         !: 
+    INTEGER(iwp) ::  npack         !: 
+    INTEGER(iwp) ::  nsize         !: 
+    INTEGER(iwp) ::  nx            !: 
+    INTEGER(iwp) ::  ny            !: 
+    INTEGER(iwp) ::  nz            !: 
+    INTEGER(iwp) ::  startpos      !: 
+    
+    INTEGER(isp) ::  imask (32)    !: 
+    
+    INTEGER(isp), DIMENSION(:), ALLOCATABLE ::  ifield          !: 
+    INTEGER(isp), DIMENSION(:), ALLOCATABLE ::  packed_ifield   !: 
+
+    INTEGER, INTENT(IN) ::  fid_avs   !: 
+    INTEGER, INTENT(IN) ::  fid_fld   !: 
+    INTEGER, INTENT(IN) ::  my_id     !: 
+    INTEGER, INTENT(IN) ::  nxl       !: 
+    INTEGER, INTENT(IN) ::  nxr       !: 
+    INTEGER, INTENT(IN) ::  nyn       !: 
+    INTEGER, INTENT(IN) ::  nys       !: 
+    INTEGER, INTENT(IN) ::  nzb       !: 
+    INTEGER, INTENT(IN) ::  nz_do3d   !: 
+    INTEGER, INTENT(IN) ::  prec      !: 
+    INTEGER, INTENT(IN) ::  nbgp      !: 
+
+    REAL(sp), INTENT(IN) ::  field(1:((nxr-nxl+1+2*nbgp)*(nyn-nys+1+2*nbgp)*(nz_do3d-nzb+1)))   !: 
 
 !
@@ -121,8 +141,8 @@
 #if defined( __parallel )
     IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-    CALL MPI_ALLREDUCE( ifieldmax_l, ifieldmax, 1, MPI_INTEGER, MPI_MAX, &
+    CALL MPI_ALLREDUCE( ifieldmax_l, ifieldmax, 1, MPI_INTEGER, MPI_MAX,       &
                         comm2d, ierr )
     IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-    CALL MPI_ALLREDUCE( ifieldmin_l, ifieldmin, 1, MPI_INTEGER, MPI_MIN, &
+    CALL MPI_ALLREDUCE( ifieldmin_l, ifieldmin, 1, MPI_INTEGER, MPI_MIN,       &
                         comm2d, ierr )
 #else
@@ -236,7 +256,7 @@
 !
 !-- Formats
-100 FORMAT ('# precision = ',I4/ &
-            '# feldmin   = ',I8/ &
-            '# nbits     = ',I2/ &
+100 FORMAT ('# precision = ',I4/                                               &
+            '# feldmin   = ',I8/                                               &
+            '# nbits     = ',I2/                                               &
             '# nskip     = ',I8)
 
Index: /palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/write_var_list.f90	(revision 1319)
+++ /palm/trunk/SOURCE/write_var_list.f90	(revision 1320)
@@ -20,4 +20,7 @@
 ! Current revisions:
 ! -----------------
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 !
 !
@@ -85,71 +88,4 @@
 ! +curvature_solution_effects
 !
-! 622 2010-12-10 08:08:13Z raasch
-! +collective_wait
-!
-! 600 2010-11-24 16:10:51Z raasch
-! +call_psolver_at_all_substeps, cfl_factor, cycle_mg, mg_cycles,
-! mg_switch_to_pe0_level, ngsrb, nsor, omega_sor, psolver,
-! rayleigh_damping_factor, rayleigh_damping_height, residual_limit
-!
-! 589 2010-10-27 14:21:29Z heinze
-! bugfix: character string of subs_vertical_gradient and 
-! subs_vertical_gradient_level shortened to 30 characters
-!
-! 587 2010-10-27 08:36:51Z helmke
-! +time_domask
-!
-! 580 2010-10-05 13:59:11Z heinze
-! Renaming of ws_vertical_gradient to subs_vertical_gradient,
-! ws_vertical_gradient_level to subs_vertical_gradient_level and
-! ws_vertical_gradient_level_ind to subs_vertical_gradient_level_i
-!
-! 411 2009-12-11 14:15:58Z heinze
-! +large_scale_subsidence, ws_vertical_gradient, ws_vertical_gradient_level,
-! ws_vertical_gradient_level_ind
-!
-! 345 2009-07-01 14:37:56Z heinze
-! +output_for_t0 
-! bugfix: -dt_fixed, because otherwise, restart runs cannot change from a
-! fixed to a free timestep.
-! +canyon_height, canyon_width_x, canyon_width_y, canyon_wall_left, 
-! canyon_wall_south, conserve_volume_flow_mode, coupling_start_time,
-! dp_external, dp_level_b, dp_smooth, dpdxy, run_coupled,
-! time_since_reference_point, topography_grid_convention, u_bulk, v_bulk
-!
-! 153 2008-03-19 09:41:30Z steinfeld
-! +cthf, leaf_surface_concentration, scalar_exchange_coefficient
-! +numprocs, hor_index_bounds, inflow_damping_height, inflow_damping_width,
-! mean_inflow_profiles, recycling_width, turbulent_inflow,
-! -cross_ts_*, npex, npey
-! hom_sum, volume_flow_area, volume_flow_initial moved from write_3d_binary
-! to here
-!
-! 138 2007-11-28 10:03:58Z letzel
-! +canopy_mode, drag_coefficient, lad, lad_surface, lad_vertical_gradient, 
-! lad_vertical_gradient_level, lad_vertical_gradient_level_ind, pch_index,
-! plant_canopy, time_sort_particles
-!
-! 102 2007-07-27 09:09:17Z raasch
-! +top_momentumflux_u|v, time_coupling
-!
-! 95 2007-06-02 16:48:38Z raasch
-! +bc_sa_t, ocean, sa_init, sa_surface, sa_vertical_gradient,
-! sa_vertical_gradient_level, bottom/top_salinity_flux
-!
-! 87 2007-05-22 15:46:47Z raasch
-! +max_pr_user (version 3.1)
-!
-! 75 2007-03-22 09:54:05Z raasch
-! +loop_optimization, pt_refrence, moisture renamed humidity
-!
-! 20 2007-02-26 00:12:32Z raasch
-! +top_heatflux, use_top_fluxes
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.34  2006/08/22 14:30:52  raasch
-! +dz_max
-!
 ! Revision 1.1  1998/03/18 20:20:38  raasch
 ! Initial revision
@@ -162,20 +98,38 @@
 !------------------------------------------------------------------------------!
 
-    USE arrays_3d
-    USE averaging
-    USE cloud_parameters
+    USE arrays_3d,                                                             &
+        ONLY:  inflow_damping_factor, lad, mean_inflow_profiles, pt_init,      &
+               q_init, ref_state, sa_init, u_init, ug, v_init, vg
+    
+    USE cloud_parameters,                                                      &
+        ONLY:  c_sedimentation, curvature_solution_effects,                    &
+               limiter_sedimentation, nc_const, ventilation_effect
+    
     USE control_parameters
-    USE grid_variables
-    USE indices
-    USE model_1d
-    USE netcdf_control
-    USE particle_attributes
+    
+    USE grid_variables,                                                        &
+        ONLY:  dx, dy
+    
+    USE indices,                                                               &
+        ONLY:  nz, nx, ny
+    
+    USE model_1d,                                                              &
+        ONLY:  damp_level_1d, dt_pr_1d, dt_run_control_1d, end_time_1d
+    
+    USE netcdf_control,                                                        &
+        ONLY:  output_for_t0
+    
+    USE particle_attributes,                                                   &
+        ONLY:  time_sort_particles
+    
     USE pegrid
-    USE profil_parameter
-    USE statistics
-
+    
+    USE statistics,                                                            &
+        ONLY:  statistic_regions, hom, hom_sum, u_max, u_max_ijk, v_max,       &
+               v_max_ijk, w_max, w_max_ijk
+    
     IMPLICIT NONE
 
-    CHARACTER (LEN=10) ::  binary_version
+    CHARACTER (LEN=10) ::  binary_version   !: 
 
 
